<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="test.aspx.cs" Inherits="FamousFurnitureExpo.Html.test" %>



<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="ctl00_Head1"><title>
	第十七届亚洲宠物展
</title><link id="ctl00_Link2" rel="stylesheet" href="../style/site.css" />
    <script type="text/javascript" src="https://bj.infosalons.com.cn/reg/dia12/scripts/jquery-1.7.1.min.js"></script> 
    <script type="text/javascript">
        var EXHID;
        $(function () {
            if (window.top == window.self) {
                alert("无法获取展商ID")
                $("#divMain").hide();
            }
            else {
                $("#divMain").show();
                EXHID = window.parent.document.all.exhibitorID.value;
                $("#ctl00_main_exhibitorID").val(EXHID);
            }
        })
    </script>
</head>
<body>
    <a href="#" id="divFocus"></a>
    <noscript>
        <div style="font-size: 14px; color: red; font-weight: bold">
            您的浏览器不支持JavaScript，请更改您的浏览器选项以启用JavaScript
        </div>
    </noscript>
    <form name="aspnetForm" method="post" action="http://bj3.infosalons.com.cn/reg/test/pfa/registercn/upload.aspx" id="aspnetForm" enctype="multipart/form-data">
<div>
<input type="hidden" name="__VIEWSTATE" id="__VIEWSTATE" value="/wEPDwULLTExMzEzODIxODYPZBYCZg9kFgICAw8WAh4HZW5jdHlwZQUTbXVsdGlwYXJ0L2Zvcm0tZGF0YRYCAgMPZBYCAgwPPCsADQBkGAEFFWN0bDAwJG1haW4kZ3JkUHJldmlldw9nZA==" />
</div>

<div>

	<input type="hidden" name="__EVENTVALIDATION" id="__EVENTVALIDATION" value="/wEWBAK3nOyhAgKdlJbZCgKcgJKjBwLWmqqZCg==" />
</div>
        <div id="ctl00_valSummary" style="color:Red;display:none;">

</div>
        <div style="width: 100%; display: none;" id="divMain">
            
    <script type="text/javascript">
        $(function () {
            $("#ctl00_main_btPreview").hide();
            $(".tbl img").bind("click", function () {
                if ($(this).attr("alt") == "add") {
                    var ID = $(".tbl tbody tr").size() + 1;
                    var tr = $(".tbl tbody tr:first");
                    var trClone = tr.clone(true);
                    trClone.find("td:first").html(ID);
                    trClone.find("input").val("");
                    trClone.appendTo($(".tbl"));
                }
                else {
                    var num = $(".tbl tbody tr").size();
                    if (num > 1)
                        $(".tbl tbody tr:last").remove();
                }
            });
            $("#ctl00_main_file").bind("change", function () {
                var fType = $(this).val().substring($(this).val().lastIndexOf("."), $(this).val().length).toLowerCase();
                if (fType.indexOf(".xls") == -1 && fType.indexOf(".xlsx") == -1 && fType.indexOf(".csv") == -1) {
                    alert("您只可以上传.xls,.xlsx或者.csv格式文件");
                    document.getElementById("ctl00_main_file").outerHTML = document.getElementById("ctl00_main_file").outerHTML;
                }
                else
                    $("#ctl00_main_btPreview").click();
            });
            $("#Save").bind("click", function () {
                var personal = "";
                $(".error").remove();
                $(".tbl tbody tr").each(function () {
                    if ($(this).find("input[name='Surname']").val() != "" &&
                        $(this).find("input[name='CompanyName']").val() != "" &&
                        $(this).find("input[name='State']").val() != "" &&
                        $(this).find("input[name='Street']").val() != "" &&
                        $(this).find("input[name='Mobile']").val() != "" &&
                        $(this).find("input[name='Email']").val() != "") {
                        $(this).find("input").each(function () {
                            personal += $(this).attr("name") + "|" + $(this).val() + "|";
                        });
                        personal += "Function|" + EXHID + "|]tr]"
                    }
                    else {
                        if ($(this).find("td:first").html().indexOf("*") == -1) {
                            $(this).find("td:first").html($(this).find("td:first").html() + "<font class='error'> *</font>");
                        }
                        if ($("span[class='error']").size() == 0)
                            $(".tbl").after("<span class='error'>请填写必填项</span>")
                    }
                });
                if (personal != "" && $(".tbl tbody").html().indexOf("*") == -1)
                    $.ajax({
                        type: "POST",
                        dataType: "text",
                        data: encodeURI(personal),
                        url: "ajax.ashx",
                        success: function (rValue) {
                            if (rValue) {
                                alert("成功上传邀约观众信息");
                                $(".tbl").find("input").val("");
                                $(".tbl tbody tr:gt(0)").remove();
                            }
                            else
                                alert(rValue);
                        }
                    });
            });
        });
    </script>
    <div style="line-height: 23px">
        专业观众邀请：<br />
        针对所有参展商都非常关注的焦点，主办单位特别为此次盛会启动LEADMARKETING营销方案。为您在第十七届亚洲宠物展览会上获得更多商机，取得圆满成功提供有利帮助！<br />
        立即了解<a href="../docs/PFA2014—Lead Marketing.pps" target="_blank">2014LEADMARKETING营销方案</a>，最受关注企业公布于官方平台，为您的参展创造最大价值！<br />
        <a href="../docs/PFA2014—Lead Marketing.pps" target="_blank">
            <img src="../docs/ppt.jpg" alt="" border="0" /></a>
    </div>
    <div style="line-height: 40px">如何让您的贵宾提前获得胸卡，轻松快速入场！</div>
    <div style="line-height: 23px">
        操作方式：
        <br />
        1)	上传邀约观众信息
    </div>
    <table cellpadding="3" width="100%" class="tbl" cellspacing="0">
        <thead>
            <tr>
                <th></th>
                <th>姓名<br />
                    (必填)</th>
                <th>职务</th>
                <th>公司名称<br />
                    (必填)</th>
                <th>国家</th>
                <th>省份<br />
                    (必填)</th>
                <th>地址<br />
                    (必填)</th>
                <th>邮政编码</th>
                <th>国家代码</th>
                <th>区号</th>
                <th>电话</th>
                <th>传真</th>
                <th>手机<br />
                    (必填)</th>
                <th>邮箱<br />
                    (必填)</th>
                <th>网址</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>1</td>
                <td>
                    <input type="text" name="Surname" /></td>
                <td>
                    <input type="text" name="Position" /></td>
                <td>
                    <input type="text" name="CompanyName" /></td>
                <td>
                    <input type="text" name="Country" /></td>
                <td>
                    <input type="text" name="State" /></td>
                <td>
                    <input type="text" name="Street" /></td>
                <td>
                    <input type="text" name="PostCode" /></td>
                <td>
                    <input type="text" name="PhoneCountry" /></td>
                <td>
                    <input type="text" name="PhoneArea" /></td>
                <td>
                    <input type="text" name="Phone" /></td>
                <td>
                    <input type="text" name="Fax" /></td>
                <td>
                    <input type="text" name="Mobile" /></td>
                <td>
                    <input type="text" name="Email" /></td>
                <td>
                    <input type="text" name="WebSite" /></td>
                <td>
                    <img src="../docs/add.jpg" alt="add" /><img src="../docs/del.jpg" alt="del" /></td>
            </tr>
        </tbody>
    </table>
    <br />
    <input type="button" id="Save" value="上传邀约观众信息" />
    <div style="line-height: 23px; margin-top: 20px">
        2)	批量上传邀约观众信息
        <br />
        <a href="../docs/VisitorInviteTemplate_CN.XLS" target="_blank">
            <img src="../docs/1.jpg" alt="" border="0" /></a><br />
        <input type="file" name="ctl00$main$file" id="ctl00_main_file" />
        <br />
        <br />
        <input type="hidden" name="ctl00$main$exhibitorID" id="ctl00_main_exhibitorID" />
        <input type="submit" name="ctl00$main$butUpload" value="批量上传邀约观众信息" id="ctl00_main_butUpload" /><span id="ctl00_main_lblTip"></span>
        <a id="ctl00_main_hyLogo" target="_blank"></a>
        <input type="submit" name="ctl00$main$btPreview" value="" id="ctl00_main_btPreview" />
        <div>

</div>
    </div>
    <div style="line-height: 23px; margin-top: 20px">
        注意事项：
        <br />
        - 需真实有效完整填写相关信息，如信息不全，主办单位有权视为无效数据，并不保证该观众收到邀请；
        <br />
        - 手机不能重复使用，一个手机号码对应一名专业观众；
        <br />
        - 信息提交截止日期：第一批信息提交截至日期：2014年5月25日; 
        <br />
        <div style="line-height: 23px; margin-left: 58px; padding-left: 58px">
            第二批信息提交截至日期：2014年6月25日;<br />
            第三批信息提交截至日期：2014年7月25日; 
        </div>
        - 回传邀请表后，主办方将进行信息核实，并在系统中更新您的客人受邀情况，您可登录展商中心进行查看，实时了解主办方邀请情况及反馈信息 
    </div>
    <br />
    ● Leadmarketing 免费预登记名额有限，先到先得！尽早回传邀请表且所填信息真实有效，可保证您的客人届时能够免费入场参观。

        </div>
    
<script type="text/javascript">
//<![CDATA[
    var Page_ValidationSummaries = new Array(document.getElementById("ctl00_valSummary"));
//]]>
</script>

<script type="text/javascript">
//<![CDATA[
    var ctl00_valSummary = document.all ? document.all["ctl00_valSummary"] : document.getElementById("ctl00_valSummary");
    ctl00_valSummary.headertext = "请回答以下问题:";
    ctl00_valSummary.showmessagebox = "True";
    ctl00_valSummary.showsummary = "False";
//]]>
</script>
</form>
</body>
</html>

